# std::ranges::elements_view<V,N>::sentinel

From cppreference.com
< cpp‎ | ranges‎ | elements view

template< bool Const > class /*sentinel*/; |  | (exposition only*)

The return type of `elements_view::end` when the underlying view is not a `common_range`.

The type /*sentinel*/<true> is returned by the const-qualified overload. The type /*sentinel*/<false> is returned by the non-const-qualified overload.

### Member types

Member type | Definition
`Base` (private) | const V if `Const` is true, otherwise V. (exposition-only member type*)

### Data members

Member object | Definition
`end_` (private) | A sentinel obtained from (possibly const-qualified) V. (exposition-only member object*)

### Member functions

(constructor) | constructs a sentinel (public member function)
base | returns the underlying sentinel (public member function)

### Non-member functions

operator== (C++20) | compares a sentinel with an iterator returned from `elements_view::begin` (function)
operator- (C++20) | computes the distance between a sentinel and an iterator returned from `elements_view::begin` (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/elements_view/sentinel&oldid=157803"